Page Lifecycle Endpoint
ページのライフサイクル状態を明示遷移させる(KNOWLEDGE Sec17.1)。admin 以上。
POST
/pages/{page_id}/lifecyclePath parameters
page_idstringrequiredHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsonto_statestringrequiredreasonstringdefault: ""
Responses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/pages/string/lifecycle" \
-H "Content-Type: application/json" \
-d '{
"to_state": "string",
"reason": ""
}'const response = await fetch("/pages/string/lifecycle", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"to_state": "string",
"reason": ""
})
});import requests
response = requests.post(
"/pages/string/lifecycle",
headers={
"Content-Type": "application/json"
},
json={
"to_state": "string",
"reason": ""
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}